cups-lpd(8)

NOM
cups-lpd - Reçoit les travaux d'impression et renvoie le statut des imprimantes aux clients lpd

SYNOPSIS
cups-lpd [ -o option=valeur ]

DESCRIPTION
cups-lpd est un mini serveur Line Printer Daemon (« LPD ») qui gère les client génériques utilisant le protocole LPD. cups-lpd ne fonctionne pas comme un démon réseau solitaire, mais utilise le super-serveur inetd(8). Ajoutez la ligne suivante au fichier inetd.conf pour activer le démon cups-lpd :
    printer stream tcp nowait lp /path/to/cups/daemon/cups-lpd cups-lpd

Si vous utilisez le super-serveur xinetd(8), ajoutez la ligne suivante au fichier xinetd.conf :
    service printer
    {
        socket_type = stream
        protocol = tcp
        wait = no
        user = lp
        server = /path/to/cups/daemon/cups-lpd
    }

/path/to/cups/daemon est habituellement /usr/lib/cups/daemon ou /usr/libexec/cups/daemon, suivant votre système d'exploitation. Vous pouvez trouver cette information dans le fichier cupsd.conf.

SÉCURITÉ
cups-lpd n'applique pour le moment aucun des contrôles d'accès définis dans les fichiers cupsd.conf(5), hosts.allow(5) ou hosts.deny(5) utilisés par les wrappers TCP. L'exécution de cups-lpd sur un serveur permet donc le lancement d'impressions depuis n'importe quel ordinateur de votre réseau, voire même de n'importe quel ordinateur sur Terre.

Bien que xinetd possède un contrôle d'accès intégré, il est recommandé d'utiliser le wrapper TCP fourni avec inetd pour limiter les accès aux ordinateurs pouvant lancer des impressions sur un serveur.

OPTIONS
L'option -o ajoute des options à tous les travaux d'impression. Cette option est souvent utilisée pour désactiver le filtre « l » de manière à ce que les travaux passant par le réseau soient filtrés correctement.
    printer stream tcp nowait lp /usr/lib/cups/daemon/cups-lpd cups-lpd
        -o document-format=application/octet-stream
    server = /usr/lib/cups/daemon/cups-lpd
    server_args = -o document-format=application/octet-stream

Dans cet exemple, le format du document est réinitialisé à la valeur application/octet-stream, ce qui force l'auto-détection du type de fichier.

COMPATIBILITÉ
cups-lpd ne se conforme pas à la RFC 1179 concernant l'utilisation des ports systèmes (1 à 1024), car l'utilisation de ces ports n'empêche pas un utilisateur d'envoyer un travail d'impression. Bien que ce comportement soit différent de celui des implémentations LPD Berkeley, il ne devrait pas affecter le déroulement correct des impressions.

Le format de sortie des demandes d'état se conforme à la RFC 2569, Mapping between LPD and IPP Protocols. Comme bon nombre d'implémentations LPD ne suivent pas cette définition, la récupération d'état par un client LPD peut être erronée.

VOIR AUSSI
inetd(8), xinetd(8), CUPS Software Administrators Manual, http://localhost:631/documentation.html

COPYRIGHT
Copyright 1993-2003 Easy Software Products, Tous droits réservés.

TRADUCTION
Gilles QUERRET <gilles.querret@nerim.net>